summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2018-05-31 16:50:47 +0000
committerKarl Berry <karl@freefriends.org>2018-05-31 16:50:47 +0000
commitf0f17bdc41dd87d1ccf27aab79a0e78759d4a2eb (patch)
tree7669daa03ce0cc7c72d40fbb3cef39282d1e05e8
parentd9b4790ef3c451ec8efc33bfb60501b0baca6957 (diff)
xz -d some more; dump ::progs at ddebug levels
git-svn-id: svn://tug.org/texlive/trunk@47887 c570f23f-e606-0410-a88d-b1316a301751
-rw-r--r--Master/tlpkg/TeXLive/TLConfig.pm8
-rw-r--r--Master/tlpkg/TeXLive/TLUtils.pm9
-rwxr-xr-xMaster/tlpkg/bin/tl-makeself-from-tlnet6
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlcritical4
4 files changed, 16 insertions, 11 deletions
diff --git a/Master/tlpkg/TeXLive/TLConfig.pm b/Master/tlpkg/TeXLive/TLConfig.pm
index 338cbb5a040..c60396a3aca 100644
--- a/Master/tlpkg/TeXLive/TLConfig.pm
+++ b/Master/tlpkg/TeXLive/TLConfig.pm
@@ -119,11 +119,13 @@ if ($^O =~ /^MSWin/i) {
#
our $DefaultFallbackDownloader = "wget";
-our @AcceptedFallbackDownloaders = qw/wget curl/;
+our @AcceptedFallbackDownloaders = qw/curl wget/;
our %FallbackDownloaderProgram = ( 'wget' => 'wget', 'curl' => 'curl');
our %FallbackDownloaderArgs = (
- 'wget' => ['--user-agent=texlive/wget', '--tries=10', "--timeout=$NetworkTimeout", '-q', '-O'],
- 'curl' => ['--user-agent', 'texlive/curl', '--retry', '10', '--connect-timeout', "$NetworkTimeout", '--silent', '--output']
+ 'curl' => ['--user-agent', 'texlive/curl', '--retry', '10',
+ '--connect-timeout', "$NetworkTimeout", '--silent', '--output'],
+ 'wget' => ['--user-agent=texlive/wget', '--tries=10',
+ "--timeout=$NetworkTimeout", '-q', '-O'],
);
# the way we package things on the web
our $DefaultCompressorFormat = "xz";
diff --git a/Master/tlpkg/TeXLive/TLUtils.pm b/Master/tlpkg/TeXLive/TLUtils.pm
index e11797195a8..46ac201c031 100644
--- a/Master/tlpkg/TeXLive/TLUtils.pm
+++ b/Master/tlpkg/TeXLive/TLUtils.pm
@@ -2318,7 +2318,7 @@ sub read_file_ignore_cr {
=item C<setup_programs($bindir, $platform)>
Populate the global C<$::progs> hash containing the paths to the
-programs C<wget>, C<tar>, C<xz>. The C<$bindir> argument specifies
+programs C<lz4>, C<tar>, C<wget>, C<xz>. The C<$bindir> argument specifies
the path to the location of the C<xz> binaries, the C<$platform>
gives the TeX Live platform name, used as the extension on our
executables. If a program is not present in the TeX Live tree, we also
@@ -2411,13 +2411,14 @@ END_COMPRESSOR_BAD
$::progs{'compressor'} = $ENV{'TEXLIVE_COMPRESSOR'};
}
- if ($::opt_verbosity >= 1) {
+ if ($::opt_verbosity >= 2) {
require Data::Dumper;
use vars qw($Data::Dumper::Indent $Data::Dumper::Sortkeys
$Data::Dumper::Purity); # -w pain
$Data::Dumper::Indent = 1;
$Data::Dumper::Sortkeys = 1; # stable output
$Data::Dumper::Purity = 1; # recursive structures must be safe
+ print STDERR "DD:dumping ";
print STDERR Data::Dumper->Dump([\%::progs], [qw(::progs)]);
}
return $ok;
@@ -2447,7 +2448,7 @@ sub setup_windows_one {
system("$prog $arg");
}
} else {
- debug("Default progrma $def not readable?\n");
+ debug("Default program $def not readable?\n");
}
return($ready) if ($ready);
# still here, try plain name without any specification
@@ -2622,7 +2623,7 @@ sub download_file {
} else {
$downdest = $dest;
}
- # massage ssh:// into the scp acceptable scp://
+ # massage ssh:// into the scp-acceptable scp://
$relpath =~ s!^ssh://!scp://!;
my $retval = system("scp", "-q", $relpath, $downdest);
if ($retval != 0) {
diff --git a/Master/tlpkg/bin/tl-makeself-from-tlnet b/Master/tlpkg/bin/tl-makeself-from-tlnet
index f4d497403a6..1ed089c93cf 100755
--- a/Master/tlpkg/bin/tl-makeself-from-tlnet
+++ b/Master/tlpkg/bin/tl-makeself-from-tlnet
@@ -58,7 +58,8 @@ fi
for i in "$ARCHIVE"/$infrapkg*.tar.xz; do
case "$i" in
*win32*) ;;
- *) xzdec <"$i" | tar -xf - || exit 1;;
+ *) : "uncompressing $i" # for debugging
+ xz -d <"$i" | tar -xf - || exit 1;;
esac
done
@@ -119,6 +120,7 @@ if test -r "$ROOT/tlpkg/texlive.tlpdb" && test -d "$ROOT/tlpkg/tlpobj/"; then
mv ./master/bin .
mkdir ./installer
mv ./master/tlpkg/installer/xz ./installer
+ mv ./master/tlpkg/installer/lz4 ./installer
mv ./master/tlpkg/installer/wget ./installer
# install the architecture-independent files.
@@ -130,7 +132,7 @@ if test -r "$ROOT/tlpkg/texlive.tlpdb" && test -d "$ROOT/tlpkg/tlpobj/"; then
t_wgetdir=$t_instdir/wget
#
# ensure these target directories exist.
- mkdir -p "$t_xzdir" "$t_wgetdir"
+ mkdir -p "$t_xzdir" "$t_lz4dir" "$t_wgetdir"
# Start the list of tlpobjs we will install with the
# platform-independent part of the infrastructure package.
diff --git a/Master/tlpkg/bin/tl-update-tlcritical b/Master/tlpkg/bin/tl-update-tlcritical
index f8f8f472527..c67617e1155 100755
--- a/Master/tlpkg/bin/tl-update-tlcritical
+++ b/Master/tlpkg/bin/tl-update-tlcritical
@@ -3,7 +3,7 @@
# Public domain. Originally written 2008, Karl Berry.
# Update the tlcritical mini-repository on tug with the critical
# packages. Also listed in tl-update-containers, unfortunately.
-# Run from cron.tl once a month, or whenever specified.
+# Run from cron.tl.
tlcrit=/home/ftp/texlive/tlcritical
recreate=
@@ -83,7 +83,7 @@ tl-update-containers -location $tlcrit $recreate -all \
$moredis
# update Unix disaster recovery.
-echo "$0: running tl-makeself-from-tlnet..."
+echo "$0: running tl-makeself-from-tlnet $tlcrit..."
tl-makeself-from-tlnet $tlcrit
do_updater sh